{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Fluide Connect","description":"Developer documentation for the Fluide Suite: auth, HR, payroll, payments, accounting, and shared utilities.","colors":{"primary":"#0D9488","light":"#14B8A6","dark":"#0F766E"},"logo":{"light":"https://mintcdn.com/fluide/gajhCkozy9vYDjwq/logo/fluide-connect-light.svg?fit=max\u0026auto=format\u0026n=gajhCkozy9vYDjwq\u0026q=85\u0026s=e2df5813101a1771b0bf1d7c7510b7d3","dark":"https://mintcdn.com/fluide/gajhCkozy9vYDjwq/logo/fluide-connect-dark.svg?fit=max\u0026auto=format\u0026n=gajhCkozy9vYDjwq\u0026q=85\u0026s=837b4bb7765447050c66d043bd506b85"},"favicon":"https://mintcdn.com/fluide/Azfh3uSA8sy2QY5Z/favicon.svg?fit=max\u0026auto=format\u0026n=Azfh3uSA8sy2QY5Z\u0026q=85\u0026s=079d4f0302c485ac49dc5f79c58672f5","api":{"openapi":["openapi/fluide-auth.json","openapi/fluide-hr.json","openapi/fluide-payroll.json","openapi/fluide-pay.json","openapi/fluide-books.json","openapi/fluide-utils.json"],"playground":{"display":"interactive"},"examples":{"defaults":"required","languages":["bash","node","python","java","php"],"prefill":false,"autogenerate":false}},"navbar":{"links":[{"href":"/api-reference","label":"API reference"}],"primary":{"type":"github","href":"https://github.com/Fluid-Technologies"}},"footer":{"socials":{"github":"https://github.com/Fluid-Technologies"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"fluide","hasAudioNarration":false,"actualSubdomain":"fluide","customDomains":["docs.fluidehr.com"],"gitSource":{"type":"github","owner":"fluid-technologies","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6aba9f8d8030a6c75e13de00","clientVersion":"0.0.4117","searchFilterCounts":[{"language":"default","tag":"API reference","count":882},{"language":"default","tag":"Auth API","count":274},{"language":"default","tag":"Books API","count":177},{"language":"default","tag":"HR API","count":164},{"language":"default","tag":"Pay API","count":112},{"language":"default","tag":"Payroll API","count":78},{"language":"default","tag":"Utils API","count":76},{"language":"default","tag":"Guides","count":53},{"language":"default","tag":"Payroll","count":39},{"language":"default","tag":"HR Employees","count":38}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":".nav-logo img,.nav-logo svg,a.nav-logo img,a.nav-logo svg{height:2.25rem!important;width:auto!important;max-height:2.25rem!important;max-width:min(320px, 55vw)!important}@media (min-width: 768px){.nav-logo img,.nav-logo svg,a.nav-logo img,a.nav-logo svg{height:2.5rem!important;max-height:2.5rem!important}}"}],"page":{"pagePath":"api-reference/membercompany/replace-member-company-access-grants","slug":"/api-reference/membercompany/replace-member-company-access-grants","pageMetadata":{"title":"Replace member company access grants","description":null,"deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/v1/organizations/{orgId}/members/{memberId}/companies","href":"/api-reference/membercompany/replace-member-company-access-grants","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Replace member company access grants","description":null,"deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/v1/organizations/{orgId}/members/{memberId}/companies","href":"/api-reference/membercompany/replace-member-company-access-grants","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"MemberCompanyController_replace_v1","parameters":["b341ade3-c780-429b-b30b-5a666fa7da32","fdc2db0e-e7b9-424f-843b-7ff68644ceca"],"requestBody":"71579dc4-e8b6-4baf-aa68-b626a7e33c62","responses":{"200":"2bc08b4d-72db-4a43-9ae5-40e0a9fb63a5","400":"879d8c95-0df8-41af-8425-cfc0e00b8bf8","401":"bd97857b-8e75-4c7d-b6a3-8d5a860a703a","403":"60a14e1d-852b-4609-8a63-d34ef3dfa515","404":"b9d89b01-d460-49d7-9bea-6aa3f49adf4a"},"summary":"Replace member company access grants","tags":["MemberCompany"],"security":["4fafd379-9150-4bcd-8850-cb45b5fc9e35"],"x-codeSamples":[{"lang":"bash","label":"cURL","source":"curl -sS -X PUT \"$FLUIDE_BASE_URL/api/v1/organizations/string/members/string/companies\" \\\n -H \"Authorization: Bearer $FLUIDE_ACCESS_TOKEN\" \\\n -H \"X-Fluide-Api-Key: $FLUIDE_API_KEY\" \\\n -H \"X-Fluide-Client-Id: fluide-developer\" \\\n -H \"Content-Type: application/json\" \\\n -d '{}'"},{"lang":"node","label":"Node.js","source":"const baseUrl = process.env.FLUIDE_BASE_URL;\n\nconst response = await fetch(`${baseUrl}/api/v1/organizations/string/members/string/companies`, {\n method: 'PUT',\n headers: {\n Authorization: `Bearer ${process.env.FLUIDE_ACCESS_TOKEN}`,\n 'X-Fluide-Api-Key': process.env.FLUIDE_API_KEY,\n 'X-Fluide-Client-Id': 'fluide-developer',\n 'Content-Type': 'application/json',\n },\n body: JSON.stringify({}),\n});\n\nif (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);\nconsole.log(await response.json());"},{"lang":"python","label":"Python","source":"import os\nimport requests\n\nbase_url = os.environ[\"FLUIDE_BASE_URL\"]\nheaders = {\n \"Authorization\": f\"Bearer {os.environ['FLUIDE_ACCESS_TOKEN']}\",\n \"X-Fluide-Api-Key\": os.environ[\"FLUIDE_API_KEY\"],\n \"X-Fluide-Client-Id\": \"fluide-developer\",\n}\n\nresponse = requests.put(\n f\"{base_url}/api/v1/organizations/string/members/string/companies\",\n headers=headers,\n json={},\n timeout=30,\n)\nresponse.raise_for_status()\nprint(response.json())"},{"lang":"java","label":"Java","source":"import java.net.URI;\nimport java.net.http.HttpClient;\nimport java.net.http.HttpRequest;\nimport java.net.http.HttpResponse;\n\nString baseUrl = System.getenv(\"FLUIDE_BASE_URL\");\nHttpClient client = HttpClient.newHttpClient();\nHttpRequest.Builder builder = HttpRequest.newBuilder()\n .uri(URI.create(baseUrl + \"/api/v1/organizations/string/members/string/companies\"))\n .header(\"Authorization\", \"Bearer \" + System.getenv(\"FLUIDE_ACCESS_TOKEN\"))\n .header(\"X-Fluide-Api-Key\", System.getenv(\"FLUIDE_API_KEY\"))\n .header(\"X-Fluide-Client-Id\", \"fluide-developer\")\n .header(\"Content-Type\", \"application/json\")\n .PUT(HttpRequest.BodyPublishers.ofString(\"{}\"))\n .build();\nHttpResponse\u003cString> response = client.send(builder.build(), HttpResponse.BodyHandlers.ofString());\nif (response.statusCode() >= 400) throw new RuntimeException(\"HTTP \" + response.statusCode() + \": \" + response.body());\nSystem.out.println(response.body());"},{"lang":"php","label":"PHP","source":"\u003c?php\n$baseUrl = getenv(\"FLUIDE_BASE_URL\");\n$ch = curl_init($baseUrl . \"/api/v1/organizations/string/members/string/companies\");\ncurl_setopt_array($ch, [\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_CUSTOMREQUEST => 'PUT',\n CURLOPT_HTTPHEADER => [\n 'Authorization: Bearer ' . getenv('FLUIDE_ACCESS_TOKEN'),\n 'X-Fluide-Api-Key: ' . getenv('FLUIDE_API_KEY'),\n 'X-Fluide-Client-Id: fluide-developer',\n 'Content-Type: application/json',\n ],\n CURLOPT_POSTFIELDS => \"{}\",\n]);\n$response = curl_exec($ch);\nif ($response === false) throw new RuntimeException(curl_error($ch));\n$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);\nif ($status >= 400) throw new RuntimeException(\"HTTP $status: $response\");\necho $response;"}],"method":"put","type":"path","servers":["e804699f-aa7c-4663-8981-bf36d64068c7","7e960832-e66c-420a-8206-958b53fd2d22"],"path":"/api/v1/organizations/{orgId}/members/{memberId}/companies","baseUrlOptions":["https://test.api.fluidehr.com","https://api.fluideglobal.com"],"title":"Replace member company access grants","description":"","codeSamples":[{"label":"cURL","lang":"bash","source":"curl -sS -X PUT \"$FLUIDE_BASE_URL/api/v1/organizations/string/members/string/companies\" \\\n -H \"Authorization: Bearer $FLUIDE_ACCESS_TOKEN\" \\\n -H \"X-Fluide-Api-Key: $FLUIDE_API_KEY\" \\\n -H \"X-Fluide-Client-Id: fluide-developer\" \\\n -H \"Content-Type: application/json\" \\\n -d '{}'"},{"label":"Node.js","lang":"node","source":"const baseUrl = process.env.FLUIDE_BASE_URL;\n\nconst response = await fetch(`${baseUrl}/api/v1/organizations/string/members/string/companies`, {\n method: 'PUT',\n headers: {\n Authorization: `Bearer ${process.env.FLUIDE_ACCESS_TOKEN}`,\n 'X-Fluide-Api-Key': process.env.FLUIDE_API_KEY,\n 'X-Fluide-Client-Id': 'fluide-developer',\n 'Content-Type': 'application/json',\n },\n body: JSON.stringify({}),\n});\n\nif (!response.ok) throw new Error(`HTTP ${response.status}: ${await response.text()}`);\nconsole.log(await response.json());"},{"label":"Python","lang":"python","source":"import os\nimport requests\n\nbase_url = os.environ[\"FLUIDE_BASE_URL\"]\nheaders = {\n \"Authorization\": f\"Bearer {os.environ['FLUIDE_ACCESS_TOKEN']}\",\n \"X-Fluide-Api-Key\": os.environ[\"FLUIDE_API_KEY\"],\n \"X-Fluide-Client-Id\": \"fluide-developer\",\n}\n\nresponse = requests.put(\n f\"{base_url}/api/v1/organizations/string/members/string/companies\",\n headers=headers,\n json={},\n timeout=30,\n)\nresponse.raise_for_status()\nprint(response.json())"},{"label":"Java","lang":"java","source":"import java.net.URI;\nimport java.net.http.HttpClient;\nimport java.net.http.HttpRequest;\nimport java.net.http.HttpResponse;\n\nString baseUrl = System.getenv(\"FLUIDE_BASE_URL\");\nHttpClient client = HttpClient.newHttpClient();\nHttpRequest.Builder builder = HttpRequest.newBuilder()\n .uri(URI.create(baseUrl + \"/api/v1/organizations/string/members/string/companies\"))\n .header(\"Authorization\", \"Bearer \" + System.getenv(\"FLUIDE_ACCESS_TOKEN\"))\n .header(\"X-Fluide-Api-Key\", System.getenv(\"FLUIDE_API_KEY\"))\n .header(\"X-Fluide-Client-Id\", \"fluide-developer\")\n .header(\"Content-Type\", \"application/json\")\n .PUT(HttpRequest.BodyPublishers.ofString(\"{}\"))\n .build();\nHttpResponse\u003cString> response = client.send(builder.build(), HttpResponse.BodyHandlers.ofString());\nif (response.statusCode() >= 400) throw new RuntimeException(\"HTTP \" + response.statusCode() + \": \" + response.body());\nSystem.out.println(response.body());"},{"label":"PHP","lang":"php","source":"\u003c?php\n$baseUrl = getenv(\"FLUIDE_BASE_URL\");\n$ch = curl_init($baseUrl . \"/api/v1/organizations/string/members/string/companies\");\ncurl_setopt_array($ch, [\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_CUSTOMREQUEST => 'PUT',\n CURLOPT_HTTPHEADER => [\n 'Authorization: Bearer ' . getenv('FLUIDE_ACCESS_TOKEN'),\n 'X-Fluide-Api-Key: ' . getenv('FLUIDE_API_KEY'),\n 'X-Fluide-Client-Id: fluide-developer',\n 'Content-Type: application/json',\n ],\n CURLOPT_POSTFIELDS => \"{}\",\n]);\n$response = curl_exec($ch);\nif ($response === false) throw new RuntimeException(curl_error($ch));\n$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);\nif ($status >= 400) throw new RuntimeException(\"HTTP $status: $response\");\necho $response;"}],"requestExampleLanguages":["bash","node","python","java","php"],"requiredOnlyExamples":true,"disableCodeSampleGeneration":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"b341ade3-c780-429b-b30b-5a666fa7da32":{"name":"orgId","required":true,"in":"path","schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"fdc2db0e-e7b9-424f-843b-7ff68644ceca":{"name":"memberId","required":true,"in":"path","schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"grants":{"minItems":1,"type":"array","items":{"type":"object","properties":{"companyId":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"grants.items.[INDEX].companyId","typeLabel":"string\u003cuuid>"},"accessLevel":{"type":"object","isRequired":true,"uniqueKey":"grants.items.[INDEX].accessLevel","typeLabel":"object"},"isDefault":{"type":"boolean","uniqueKey":"grants.items.[INDEX].isDefault","typeLabel":"boolean"}},"required":["companyId","accessLevel"],"uniqueKey":"grants.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"grants","typeLabel":"object[]"}},"required":["grants"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"grants":[{"companyId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","accessLevel":{},"isDefault":true}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"2bc08b4d-72db-4a43-9ae5-40e0a9fb63a5":{"description":"Updated grants","content":{"application/json":{"schema":{"type":"object","required":["success","message"],"properties":{"success":{"type":"boolean","example":true,"description":"Whether the request succeeded","isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Operation completed successfully","description":"Human-readable outcome message (localized when i18n is configured)","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","description":"Endpoint-specific payload","uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"message":"Operation completed successfully","data":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"879d8c95-0df8-41af-8425-cfc0e00b8bf8":{"description":"Validation failed or invalid request parameters","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Validation failed","description":"Human-readable error message (localized when i18n is configured)","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","example":"VALIDATION_FAILED","description":"Stable machine-readable error code for client handling and support","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"statusCode":{"type":"number","example":400,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","example":"2026-06-03T12:00:00.000Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"errors":{"type":"object","description":"Field-level validation errors keyed by property name","example":{"from":["from must be a valid date"]},"uniqueKey":"errors","typeLabel":"object"}},"required":["success","message","code","statusCode","timestamp"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Validation failed","code":"VALIDATION_FAILED","statusCode":400,"timestamp":"2026-06-03T12:00:00.000Z","errors":{"from":["from must be a valid date"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"bd97857b-8e75-4c7d-b6a3-8d5a860a703a":{"description":"Missing or invalid JWT / API key","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Validation failed","description":"Human-readable error message (localized when i18n is configured)","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","example":"VALIDATION_FAILED","description":"Stable machine-readable error code for client handling and support","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"statusCode":{"type":"number","example":400,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","example":"2026-06-03T12:00:00.000Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"errors":{"type":"object","description":"Field-level validation errors keyed by property name","example":{"from":["from must be a valid date"]},"uniqueKey":"errors","typeLabel":"object"}},"required":["success","message","code","statusCode","timestamp"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Validation failed","code":"VALIDATION_FAILED","statusCode":400,"timestamp":"2026-06-03T12:00:00.000Z","errors":{"from":["from must be a valid date"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"60a14e1d-852b-4609-8a63-d34ef3dfa515":{"description":"Token valid but insufficient permission for this operation","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Validation failed","description":"Human-readable error message (localized when i18n is configured)","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","example":"VALIDATION_FAILED","description":"Stable machine-readable error code for client handling and support","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"statusCode":{"type":"number","example":400,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","example":"2026-06-03T12:00:00.000Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"errors":{"type":"object","description":"Field-level validation errors keyed by property name","example":{"from":["from must be a valid date"]},"uniqueKey":"errors","typeLabel":"object"}},"required":["success","message","code","statusCode","timestamp"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Validation failed","code":"VALIDATION_FAILED","statusCode":400,"timestamp":"2026-06-03T12:00:00.000Z","errors":{"from":["from must be a valid date"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"b9d89b01-d460-49d7-9bea-6aa3f49adf4a":{"description":"Resource not found or outside caller scope","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Validation failed","description":"Human-readable error message (localized when i18n is configured)","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"code":{"type":"string","example":"VALIDATION_FAILED","description":"Stable machine-readable error code for client handling and support","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"statusCode":{"type":"number","example":400,"isRequired":true,"uniqueKey":"statusCode","typeLabel":"number"},"timestamp":{"type":"string","example":"2026-06-03T12:00:00.000Z","isRequired":true,"uniqueKey":"timestamp","typeLabel":"string"},"errors":{"type":"object","description":"Field-level validation errors keyed by property name","example":{"from":["from must be a valid date"]},"uniqueKey":"errors","typeLabel":"object"}},"required":["success","message","code","statusCode","timestamp"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"message":"Validation failed","code":"VALIDATION_FAILED","statusCode":400,"timestamp":"2026-06-03T12:00:00.000Z","errors":{"from":["from must be a valid date"]}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"4fafd379-9150-4bcd-8850-cb45b5fc9e35":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Access token JWT. Use as Authorization: Bearer \u003ctoken>. In the API playground, paste the JWT only.","scopes":[]},"fluideApiKey":{"type":"apiKey","in":"header","name":"X-Fluide-Api-Key","description":"Developer API key (fl_dev_...). Required on every API call with a machine access token.","x-default":"fl_dev_your_key","scopes":[]},"fluideClientId":{"type":"apiKey","in":"header","name":"X-Fluide-Client-Id","description":"First-party client audience. Must match the fluide_client_id claim on the JWT. Use fluide-developer for Connect.","x-default":"fluide-developer","scopes":[]}}},"servers":{"e804699f-aa7c-4663-8981-bf36d64068c7":{"url":"https://test.api.fluidehr.com","description":"Sandbox"},"7e960832-e66c-420a-8206-958b53fd2d22":{"url":"https://api.fluideglobal.com","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Access token JWT. Use as Authorization: Bearer \u003ctoken>. In the API playground, paste the JWT only.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Access token JWT. Use as Authorization: Bearer \u003ctoken>. In the API playground, paste the JWT only.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"},{"scheme":{"type":"apiKey","in":"header","name":"X-Fluide-Api-Key","description":"Developer API key (fl_dev_...). Required on every API call with a machine access token.","x-default":"fl_dev_your_key","scopes":[]},"schema":{"title":"X-Fluide-Api-Key","type":"string","description":"Developer API key (fl_dev_...). Required on every API call with a machine access token.","isRequired":true,"default":"fl_dev_your_key","typeLabel":"string","deprecated":false},"schemeName":"fluideApiKey","name":"X-Fluide-Api-Key"},{"scheme":{"type":"apiKey","in":"header","name":"X-Fluide-Client-Id","description":"First-party client audience. Must match the fluide_client_id claim on the JWT. Use fluide-developer for Connect.","x-default":"fluide-developer","scopes":[]},"schema":{"title":"X-Fluide-Client-Id","type":"string","description":"First-party client audience. Must match the fluide_client_id claim on the JWT. Use fluide-developer for Connect.","isRequired":true,"default":"fluide-developer","typeLabel":"string","deprecated":false},"schemeName":"fluideClientId","name":"X-Fluide-Client-Id"}],"title":"bearer \u0026 fluideApiKey \u0026 fluideClientId"}]},"originalFileLocation":"openapi/fluide-auth.json"},"subdomain":"fluide","siteName":"Fluide Connect","title":"Replace member company access grants - Fluide Connect","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-28T17:10:57.811Z","originalFileLocation":"api-reference/membercompany/replace-member-company-access-grants.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Fluide Connect\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Replace member company access grants - Fluide Connect\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Fluide Connect\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://fluide.mintlify.site/_mintlify/api/og/v2?division=MemberCompany\u0026amp;title=Replace+member+company+access+grants\u0026amp;theme=caba5abdcef77ece0f708f5e\u0026amp;signature=380b7247cf02d8df00a410d321050a325e7501cb3d2b55f798026244ae4130f7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Replace member company access grants - Fluide Connect\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://fluide.mintlify.site/_mintlify/api/og/v2?division=MemberCompany\u0026amp;title=Replace+member+company+access+grants\u0026amp;theme=caba5abdcef77ece0f708f5e\u0026amp;signature=380b7247cf02d8df00a410d321050a325e7501cb3d2b55f798026244ae4130f7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/fluide/QQ7zENk_ey44L0sP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Fluide Connect\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9488\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/membercompany/replace-member-company-access-grants.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.fluidehr.com/#organization\",\"name\":\"Fluide Connect\",\"url\":\"https://docs.fluidehr.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/fluide/gajhCkozy9vYDjwq/logo/fluide-connect-light.svg?fit=max\u0026auto=format\u0026n=gajhCkozy9vYDjwq\u0026q=85\u0026s=e2df5813101a1771b0bf1d7c7510b7d3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.fluidehr.com#website\",\"name\":\"Fluide Connect\",\"url\":\"https://docs.fluidehr.com\",\"publisher\":{\"@id\":\"https://docs.fluidehr.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants#webpage\",\"url\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants\",\"name\":\"Replace member company access grants\",\"dateModified\":\"2026-09-28T17:10:57.811Z\",\"isPartOf\":{\"@id\":\"https://docs.fluidehr.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Auth API\",\"item\":\"https://docs.fluidehr.com/api-reference/auth\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"MemberCompany\",\"item\":\"https://docs.fluidehr.com/api-reference/membercompany/list-member-company-access-grants\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Replace member company access grants\",\"item\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants#apireference\",\"headline\":\"Replace member company access grants\",\"name\":\"Replace member company access grants\",\"url\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants\",\"mainEntityOfPage\":{\"@id\":\"https://docs.fluidehr.com/api-reference/membercompany/replace-member-company-access-grants#webpage\"},\"dateModified\":\"2026-09-28T17:10:57.811Z\",\"publisher\":{\"@id\":\"https://docs.fluidehr.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.fluidehr.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Fluide Connect\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Fluide Connect\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/membercompany/replace-member-company-access-grants.md","siteName":"Fluide Connect","nav":{"global":null,"tabs":[{"tab":"Get started","pages":[{"title":"Get started","href":"/introduction"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides"}]},{"tab":"Products","pages":[{"title":"Products","href":"/auth/overview"}]},{"tab":"API reference","pages":[{"title":"API reference","href":"/api-reference"},{"group":"Auth API","pages":[{"title":"Description","href":"/api-reference/auth"},{"group":"Operations","pages":[{"title":"Auth service root","deprecated":null,"version":null,"openapi":"/openapi/fluide-books.json get /api/v1","href":"/api-reference/app/auth-service-root"},{"title":"Health check","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/health","href":"/api-reference/health/health-check"}]},{"group":"Auth Context","pages":[{"title":"Get auth context by JTI","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/auth-context/{jti}","href":"/api-reference/auth-context/get-auth-context-by-jti"}]},{"group":"MemberCompany","pages":[{"title":"List member company access grants","description":null,"deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{orgId}/members/{memberId}/companies","href":"/api-reference/membercompany/list-member-company-access-grants"},{"title":"Replace member company access grants","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/v1/organizations/{orgId}/members/{memberId}/companies","href":"/api-reference/membercompany/replace-member-company-access-grants"},{"title":"Revoke member access to a company","description":null,"deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{orgId}/members/{memberId}/companies/{companyId}","href":"/api-reference/membercompany/revoke-member-access-to-a-company"}]},{"group":"auth-v1","pages":[{"title":"Get current session","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/auth/me","href":"/api-reference/auth-v1/get-current-session"},{"title":"Update profile","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/auth/me","href":"/api-reference/auth-v1/update-profile"},{"title":"Create a user + send verification OTP","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/sign-up","href":"/api-reference/auth-v1/create-a-user-+-send-verification-otp"},{"title":"Sign in with password","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/sign-in","href":"/api-reference/auth-v1/sign-in-with-password"},{"title":"Complete password sign-in after TOTP second step (Option C JWT only)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/two-factor/verify-sign-in","href":"/api-reference/auth-v1/complete-password-sign-in-after-totp-second-step-option-c-jwt-only"},{"title":"Begin MFA (TOTP) enrollment for the authenticated user","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/mfa/enroll/begin","href":"/api-reference/auth-v1/begin-mfa-totp-enrollment-for-the-authenticated-user"},{"title":"Confirm MFA enrollment with a valid TOTP code","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/mfa/enroll/confirm","href":"/api-reference/auth-v1/confirm-mfa-enrollment-with-a-valid-totp-code"},{"title":"Send a one-time code to the user via email","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/email-otp/send","href":"/api-reference/auth-v1/send-a-one-time-code-to-the-user-via-email"},{"title":"Verify post-signup email OTP and mint the first JWT","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/email-otp/verify","href":"/api-reference/auth-v1/verify-post-signup-email-otp-and-mint-the-first-jwt"},{"title":"Passwordless sign-in via emailed OTP","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/email-otp/sign-in","href":"/api-reference/auth-v1/passwordless-sign-in-via-emailed-otp"},{"title":"Rotate a refresh token and mint a fresh access token","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/refresh-token","href":"/api-reference/auth-v1/rotate-a-refresh-token-and-mint-a-fresh-access-token"},{"title":"Send a password reset email with a one-time link","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/password-reset/request","href":"/api-reference/auth-v1/send-a-password-reset-email-with-a-one-time-link"},{"title":"Reset password with a one-time token and bump app_perm_ver","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/password-reset/confirm","href":"/api-reference/auth-v1/reset-password-with-a-one-time-token-and-bump-app_perm_ver"},{"title":"Complete HR staff first-access setup (single-use token + initial passwo…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/staff-first-access/complete","href":"/api-reference/auth-v1/complete-hr-staff-first-access-setup-single-use-token-+-initial-passwo…"},{"title":"Ensure Fluide Connect developer account and API credentials","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/developer/ensure","href":"/api-reference/auth-v1/ensure-fluide-connect-developer-account-and-api-credentials"},{"title":"Remint JWT for a different first-party product client","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/exchange-client","href":"/api-reference/auth-v1/remint-jwt-for-a-different-first-party-product-client"},{"title":"Create a one-time handoff code for launching another Fluide product","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/handoff","href":"/api-reference/auth-v1/create-a-one-time-handoff-code-for-launching-another-fluide-product"},{"title":"Exchange a one-time handoff code for an access token","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/consume-handoff","href":"/api-reference/auth-v1/exchange-a-one-time-handoff-code-for-an-access-token"},{"title":"Revoke the current JWT (jti goes onto the Redis denylist)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/sign-out","href":"/api-reference/auth-v1/revoke-the-current-jwt-jti-goes-onto-the-redis-denylist"}]},{"group":"BetterAuthOAuthBridge","pages":[{"title":"Get apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/get-apiauthcallback"},{"title":"Put apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/put-apiauthcallback"},{"title":"Post apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/post-apiauthcallback"},{"title":"Delete apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/delete-apiauthcallback"},{"title":"Options apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json options /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/options-apiauthcallback"},{"title":"Head apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json head /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/head-apiauthcallback"},{"title":"Patch apiauthcallback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/auth/callback/{provider}","href":"/api-reference/betterauthoauthbridge/patch-apiauthcallback"},{"title":"Get apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/auth/error","href":"/api-reference/betterauthoauthbridge/get-apiautherror"},{"title":"Put apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/auth/error","href":"/api-reference/betterauthoauthbridge/put-apiautherror"},{"title":"Post apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/auth/error","href":"/api-reference/betterauthoauthbridge/post-apiautherror"},{"title":"Delete apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/auth/error","href":"/api-reference/betterauthoauthbridge/delete-apiautherror"},{"title":"Options apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json options /api/auth/error","href":"/api-reference/betterauthoauthbridge/options-apiautherror"},{"title":"Head apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json head /api/auth/error","href":"/api-reference/betterauthoauthbridge/head-apiautherror"},{"title":"Patch apiautherror","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/auth/error","href":"/api-reference/betterauthoauthbridge/patch-apiautherror"},{"title":"Get apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/auth/ok","href":"/api-reference/betterauthoauthbridge/get-apiauthok"},{"title":"Put apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/auth/ok","href":"/api-reference/betterauthoauthbridge/put-apiauthok"},{"title":"Post apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/auth/ok","href":"/api-reference/betterauthoauthbridge/post-apiauthok"},{"title":"Delete apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/auth/ok","href":"/api-reference/betterauthoauthbridge/delete-apiauthok"},{"title":"Options apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json options /api/auth/ok","href":"/api-reference/betterauthoauthbridge/options-apiauthok"},{"title":"Head apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json head /api/auth/ok","href":"/api-reference/betterauthoauthbridge/head-apiauthok"},{"title":"Patch apiauthok","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/auth/ok","href":"/api-reference/betterauthoauthbridge/patch-apiauthok"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json put /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…-1"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…-2"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…-3"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json options /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…-4"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json head /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…-5"},{"title":"Password reset link from legacy Better Auth emails (`GET /api/auth/rese…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/auth/reset-password","href":"/api-reference/betterauthoauthbridge/password-reset-link-from-legacy-better-auth-emails-`get-apiauthrese…-6"},{"title":"Social Callback","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/auth/social/callback/{provider}","href":"/api-reference/betterauthoauthbridge/social-callback"}]},{"group":"Auth","pages":[{"title":"Start an OAuth flow and return the provider URL the browser should visit","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/social/authorize","href":"/api-reference/auth/start-an-oauth-flow-and-return-the-provider-url-the-browser-should-visit"},{"title":"OAuth provider callback — exchanges code, mints our JWT, redirects to S…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/auth/social/callback/{provider}","href":"/api-reference/auth/oauth-provider-callback-—-exchanges-code-mints-our-jwt-redirects-to-s…"},{"title":"Start OIDC SSO and return the IdP authorization URL","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/auth/sso/authorize","href":"/api-reference/auth/start-oidc-sso-and-return-the-idp-authorization-url"},{"title":"OIDC redirect URI — exchanges code, mints Fluide JWT, redirects to SPA…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/auth/sso/callback","href":"/api-reference/auth/oidc-redirect-uri-—-exchanges-code-mints-fluide-jwt-redirects-to-spa…"},{"title":"Jwks","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/auth/.well-known/jwks.json","href":"/api-reference/auth/jwks"}]},{"group":"Authorize","pages":[{"title":"Get developer API key","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/authorize/current","href":"/api-reference/authorize/get-developer-api-key"},{"title":"Get developer API usage for the current billing period","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/authorize/usage","href":"/api-reference/authorize/get-developer-api-usage-for-the-current-billing-period"},{"title":"Get developer API billing and production access status","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/authorize/billing/status","href":"/api-reference/authorize/get-developer-api-billing-and-production-access-status"},{"title":"Start hosted checkout for API Starter subscription (25,000 XAF/mo)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/authorize/billing/checkout","href":"/api-reference/authorize/start-hosted-checkout-for-api-starter-subscription-25000-xafmo"},{"title":"Start hosted checkout for API usage overage invoice","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/authorize/billing/checkout/overage","href":"/api-reference/authorize/start-hosted-checkout-for-api-usage-overage-invoice"},{"title":"Rotate API secret","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/authorize/rotate-secret","href":"/api-reference/authorize/rotate-api-secret"},{"title":"Exchange API key for access token","deprecated":null,"version":null,"openapi":"/openapi/fluide-utils.json post /api/v1/authorize/token","href":"/api-reference/authorize/exchange-api-key-for-access-token"},{"title":"Deprecated token exchange","deprecated":true,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/authorize/exchange","href":"/api-reference/authorize/deprecated-token-exchange"}]},{"group":"developer-verifications","pages":[{"title":"Super-admin: list developer accounts awaiting verification (go-live que…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/developer-verifications","href":"/api-reference/developer-verifications/super-admin:-list-developer-accounts-awaiting-verification-go-live-que…"},{"title":"Super-admin: get a single developer verification case detail.","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/developer-verifications/{userId}","href":"/api-reference/developer-verifications/super-admin:-get-a-single-developer-verification-case-detail"},{"title":"Super-admin: approve / reject / request changes on a developer account.","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/developer-verifications/{userId}/review","href":"/api-reference/developer-verifications/super-admin:-approve-reject-request-changes-on-a-developer-account"}]},{"group":"Organizations","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations","href":"/api-reference/organizations/list"},{"title":"Create an organization, make caller `owner`, mint a new JWT bound to it","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations","href":"/api-reference/organizations/create-an-organization-make-caller-`owner`-mint-a-new-jwt-bound-to-it"},{"title":"Switch active organization. Revokes current JWT, returns new one.","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/active","href":"/api-reference/organizations/switch-active-organization-revokes-current-jwt-returns-new-one"},{"title":"Active organization profile (FBI id, plan, kind, business profile, owne…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/current/summary","href":"/api-reference/organizations/active-organization-profile-fbi-id-plan-kind-business-profile-owne…"},{"title":"Patch active organization locale, timezone, and billing profile prefere…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/current/preferences","href":"/api-reference/organizations/patch-active-organization-locale-timezone-and-billing-profile-prefere…"},{"title":"Organization security posture (MFA, session timeout, IP","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/current/security-settings","href":"/api-reference/organizations/organization-security-posture-mfa-session-timeout-ip"},{"title":"Patch organization security posture for partner firm","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/current/security-settings","href":"/api-reference/organizations/patch-organization-security-posture-for-partner-firm"},{"title":"Transfer organization ownership to another member (owner only)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/transfer-ownership","href":"/api-reference/organizations/transfer-organization-ownership-to-another-member-owner-only"},{"title":"List members of an organization (caller must be a member)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/members","href":"/api-reference/organizations/list-members-of-an-organization-caller-must-be-a-member"},{"title":"Deactivate an organization member (owner/admin only; cannot remove last…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/members/{memberId}/deactivate","href":"/api-reference/organizations/deactivate-an-organization-member-owneradmin-only;-cannot-remove-last…"},{"title":"List pending invitations for an organization (owner/admin","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/invitations","href":"/api-reference/organizations/list-pending-invitations-for-an-organization-owneradmin"},{"title":"Invite a teammate (owner/admin only)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/invitations","href":"/api-reference/organizations/invite-a-teammate-owneradmin-only"},{"title":"Bulk-invite teammates during onboarding. BUSINESS orgs ensure an HR emp…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/team-invites/bulk","href":"/api-reference/organizations/bulk-invite-teammates-during-onboarding-business-orgs-ensure-an-hr-emp…"},{"title":"Attach a fluide-hr canonical employee id to the latest pending invite f…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/invitations/link-hr-employee","href":"/api-reference/organizations/attach-a-fluide-hr-canonical-employee-id-to-the-latest-pending-invite-f…"},{"title":"Accept an invitation as the currently signed-in user. Mints a new JWT b…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/invitations/{invitationId}/accept","href":"/api-reference/organizations/accept-an-invitation-as-the-currently-signed-in-user-mints-a-new-jwt-b…"},{"title":"Cancel a pending invitation (owner/admin of the inviting","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/invitations/{invitationId}","href":"/api-reference/organizations/cancel-a-pending-invitation-owneradmin-of-the-inviting"},{"title":"Public invitation metadata (used by the invitee landing page before sig…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/invitations/{invitationId}/public","href":"/api-reference/organizations/public-invitation-metadata-used-by-the-invitee-landing-page-before-sig…"},{"title":"Single-step claim flow: create the user, accept the invite, and mint a…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/invitations/{invitationId}/sign-up","href":"/api-reference/organizations/single-step-claim-flow:-create-the-user-accept-the-invite-and-mint-a…"}]},{"group":"sales-partners-admin","pages":[{"title":"List Sales Partners","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/admin/sales-partners","href":"/api-reference/sales-partners-admin/list-sales-partners"},{"title":"Create a Sales Partner org + profile and optionally send invite","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partners","href":"/api-reference/sales-partners-admin/create-a-sales-partner-org-+-profile-and-optionally-send-invite"},{"title":"Get Sales Partner detail","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/admin/sales-partners/{organizationId}","href":"/api-reference/sales-partners-admin/get-sales-partner-detail"},{"title":"Update Sales Partner profile / status","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/admin/sales-partners/{organizationId}","href":"/api-reference/sales-partners-admin/update-sales-partner-profile-status"},{"title":"Deactivate a Sales Partner (blocks portal access, stops referral links)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partners/{organizationId}/deactivate","href":"/api-reference/sales-partners-admin/deactivate-a-sales-partner-blocks-portal-access-stops-referral-links"},{"title":"Reactivate a deactivated Sales Partner","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partners/{organizationId}/reactivate","href":"/api-reference/sales-partners-admin/reactivate-a-deactivated-sales-partner"},{"title":"Soft-delete a Sales Partner organization","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partners/{organizationId}/delete","href":"/api-reference/sales-partners-admin/soft-delete-a-sales-partner-organization"},{"title":"Resend Sales Partner owner invitation email","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partners/{organizationId}/invite/resend","href":"/api-reference/sales-partners-admin/resend-sales-partner-owner-invitation-email"},{"title":"List Sales Partner referral links","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/admin/sales-partners/{organizationId}/referral-links","href":"/api-reference/sales-partners-admin/list-sales-partner-referral-links"},{"title":"Create a Sales Partner referral link bound to an agreement","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partners/{organizationId}/referral-links","href":"/api-reference/sales-partners-admin/create-a-sales-partner-referral-link-bound-to-an-agreement"},{"title":"List businesses referred by a Sales Partner","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/admin/sales-partners/{organizationId}/referrals","href":"/api-reference/sales-partners-admin/list-businesses-referred-by-a-sales-partner"}]},{"group":"sales-partners-admin-links","pages":[{"title":"Deactivate a Sales Partner referral link","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partner-referral-links/{linkId}/deactivate","href":"/api-reference/sales-partners-admin-links/deactivate-a-sales-partner-referral-link"},{"title":"Email an ACTIVE Sales Partner referral link to the partner","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/admin/sales-partner-referral-links/{linkId}/send-email","href":"/api-reference/sales-partners-admin-links/email-an-active-sales-partner-referral-link-to-the-partner"}]},{"group":"sales-partner","pages":[{"title":"Get authenticated Sales Partner profile","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/sales-partner/profile","href":"/api-reference/sales-partner/get-authenticated-sales-partner-profile"},{"title":"Update limited Sales Partner profile fields","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/sales-partner/profile","href":"/api-reference/sales-partner/update-limited-sales-partner-profile-fields"},{"title":"Sales Partner dashboard metrics (referrals)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/sales-partner/dashboard","href":"/api-reference/sales-partner/sales-partner-dashboard-metrics-referrals"},{"title":"List referral links for the active Sales Partner","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/sales-partner/referral-links","href":"/api-reference/sales-partner/list-referral-links-for-the-active-sales-partner"},{"title":"Create a campaign referral link bound to an ACTIVE agreement","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/sales-partner/referral-links","href":"/api-reference/sales-partner/create-a-campaign-referral-link-bound-to-an-active-agreement"},{"title":"Deactivate one of the active Sales Partner referral links","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/sales-partner/referral-links/{linkId}/deactivate","href":"/api-reference/sales-partner/deactivate-one-of-the-active-sales-partner-referral-links"},{"title":"List referred businesses for the active Sales Partner","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/sales-partner/referrals","href":"/api-reference/sales-partner/list-referred-businesses-for-the-active-sales-partner"}]},{"group":"sales-partner-public","pages":[{"title":"Resolve referral code (Sales Partner or in-product channel)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/sales-partner/resolve/{code}","href":"/api-reference/sales-partner-public/resolve-referral-code-sales-partner-or-in-product-channel"}]},{"group":"referrals","pages":[{"title":"Get or create the partner referral link for the active organization","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/referrals/code","href":"/api-reference/referrals/get-or-create-the-partner-referral-link-for-the-active-organization"},{"title":"Partner referral dashboard summary","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/referrals/summary","href":"/api-reference/referrals/partner-referral-dashboard-summary"},{"title":"Resolve a referral code (dual-channel: Sales Partner then in-product)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/referrals/resolve/{code}","href":"/api-reference/referrals/resolve-a-referral-code-dual-channel:-sales-partner-then-in-product"},{"title":"Validate referral code and set HttpOnly attribution cookies (survives o…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/referrals/capture","href":"/api-reference/referrals/validate-referral-code-and-set-httponly-attribution-cookies-survives-o…"}]},{"group":"referrals-admin","pages":[{"title":"List partner referral profiles with stats (super-admin)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/referrals/admin/partners","href":"/api-reference/referrals-admin/list-partner-referral-profiles-with-stats-super-admin"},{"title":"Get partner referral profile (super-admin)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/referrals/admin/partners/{organizationId}","href":"/api-reference/referrals-admin/get-partner-referral-profile-super-admin"},{"title":"Update partner commission % and referral settings (super-admin)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/referrals/admin/partners/{organizationId}","href":"/api-reference/referrals-admin/update-partner-commission-%-and-referral-settings-super-admin"},{"title":"Enable referral program and generate link for a partner org","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/referrals/admin/partners/{organizationId}/enable","href":"/api-reference/referrals-admin/enable-referral-program-and-generate-link-for-a-partner-org"}]},{"group":"Company","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/companies","href":"/api-reference/company/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies","href":"/api-reference/company/create"},{"title":"Set active company context","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies/active","href":"/api-reference/company/set-active-company-context"},{"title":"List accessible companies for current member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/companies/accessible","href":"/api-reference/company/list-accessible-companies-for-current-member"},{"title":"Bootstrap","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies/bootstrap","href":"/api-reference/company/bootstrap"},{"title":"Add Subsidiary","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies/subsidiaries","href":"/api-reference/company/add-subsidiary"},{"title":"Current","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/companies/current","href":"/api-reference/company/current"},{"title":"Set Activation","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/companies/{companyId}/activation","href":"/api-reference/company/set-activation"},{"title":"Set Suspension","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/companies/{companyId}/suspension","href":"/api-reference/company/set-suspension"},{"title":"Soft Delete","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies/{companyId}/soft-delete","href":"/api-reference/company/soft-delete"},{"title":"Restore","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies/{companyId}/restore","href":"/api-reference/company/restore"},{"title":"Set Primary","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/companies/{companyId}/set-primary","href":"/api-reference/company/set-primary"},{"title":"Get One","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/companies/{companyId}","href":"/api-reference/company/get-one"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/companies/{companyId}","href":"/api-reference/company/update"}]},{"group":"Onboarding","pages":[{"title":"Status","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/onboarding/status","href":"/api-reference/onboarding/status"},{"title":"Patch Setup","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/onboarding/setup","href":"/api-reference/onboarding/patch-setup"},{"title":"Advance","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/onboarding/advance","href":"/api-reference/onboarding/advance"},{"title":"Submit/replace KYB-KYC documents for super-admin review","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/onboarding/kyb/documents","href":"/api-reference/onboarding/submitreplace-kyb-kyc-documents-for-super-admin-review"},{"title":"Get current KYB status and level for active organization","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/onboarding/kyb/status","href":"/api-reference/onboarding/get-current-kyb-status-and-level-for-active-organization"},{"title":"Get required and allowed KYB document types for country/tier/applicant…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/onboarding/kyb/requirements","href":"/api-reference/onboarding/get-required-and-allowed-kyb-document-types-for-countrytierapplicant…"}]},{"group":"organigram","pages":[{"title":"Get consolidated HQ organigram rollup","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/organigram/consolidated","href":"/api-reference/organigram/get-consolidated-hq-organigram-rollup"},{"title":"Get organigram","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/organigram","href":"/api-reference/organigram/get-organigram"},{"title":"Patch Settings","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/organigram/settings","href":"/api-reference/organigram/patch-settings"},{"title":"Create Node","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/organigram/nodes","href":"/api-reference/organigram/create-node"},{"title":"Delete Node","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/organigram/nodes/{nodeId}","href":"/api-reference/organigram/delete-node"},{"title":"Update Node","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/organigram/nodes/{nodeId}","href":"/api-reference/organigram/update-node"},{"title":"Patch Member Placement","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/organigram/members/{memberId}/placement","href":"/api-reference/organigram/patch-member-placement"},{"title":"Create Team","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/organigram/teams","href":"/api-reference/organigram/create-team"},{"title":"Delete Team","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/organigram/teams/{teamId}","href":"/api-reference/organigram/delete-team"},{"title":"Update Team","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/organigram/teams/{teamId}","href":"/api-reference/organigram/update-team"},{"title":"Add Team Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/organigram/teams/{teamId}/members","href":"/api-reference/organigram/add-team-member"},{"title":"Remove Team Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/organigram/teams/{teamId}/members/{memberId}","href":"/api-reference/organigram/remove-team-member"}]},{"group":"org master data","pages":[{"title":"List Departments","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/companies/{companyId}/departments","href":"/api-reference/org-master-data/list-departments"},{"title":"Create Department","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/companies/{companyId}/departments","href":"/api-reference/org-master-data/create-department"},{"title":"Delete Department","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/companies/{companyId}/departments/{id}","href":"/api-reference/org-master-data/delete-department"},{"title":"Update Department","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/companies/{companyId}/departments/{id}","href":"/api-reference/org-master-data/update-department"},{"title":"List Profit Centers","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/companies/{companyId}/profit-centers","href":"/api-reference/org-master-data/list-profit-centers"},{"title":"Create Profit Center","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/companies/{companyId}/profit-centers","href":"/api-reference/org-master-data/create-profit-center"},{"title":"Delete Profit Center","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/companies/{companyId}/profit-centers/{id}","href":"/api-reference/org-master-data/delete-profit-center"},{"title":"Update Profit Center","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/companies/{companyId}/profit-centers/{id}","href":"/api-reference/org-master-data/update-profit-center"},{"title":"List Cost Centers","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/companies/{companyId}/cost-centers","href":"/api-reference/org-master-data/list-cost-centers"},{"title":"Create Cost Center","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/companies/{companyId}/cost-centers","href":"/api-reference/org-master-data/create-cost-center"},{"title":"Delete Cost Center","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/companies/{companyId}/cost-centers/{id}","href":"/api-reference/org-master-data/delete-cost-center"},{"title":"Update Cost Center","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/companies/{companyId}/cost-centers/{id}","href":"/api-reference/org-master-data/update-cost-center"},{"title":"List Branches","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/companies/{companyId}/branches","href":"/api-reference/org-master-data/list-branches"},{"title":"Create Branch","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/companies/{companyId}/branches","href":"/api-reference/org-master-data/create-branch"},{"title":"Delete Branch","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/companies/{companyId}/branches/{id}","href":"/api-reference/org-master-data/delete-branch"},{"title":"Update Branch","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/companies/{companyId}/branches/{id}","href":"/api-reference/org-master-data/update-branch"}]},{"group":"org rbac","pages":[{"title":"List Catalog","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/rbac/permissions","href":"/api-reference/org-rbac/list-catalog"},{"title":"List Permission Groups","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/rbac/permission-groups","href":"/api-reference/org-rbac/list-permission-groups"},{"title":"List Role Templates","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/rbac/role-templates","href":"/api-reference/org-rbac/list-role-templates"},{"title":"List Roles","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/rbac/roles","href":"/api-reference/org-rbac/list-roles"},{"title":"Create Role","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/rbac/roles","href":"/api-reference/org-rbac/create-role"},{"title":"Get Role","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/rbac/roles/{roleId}","href":"/api-reference/org-rbac/get-role"},{"title":"Delete Role","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/rbac/roles/{roleId}","href":"/api-reference/org-rbac/delete-role"},{"title":"Update Role","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/rbac/roles/{roleId}","href":"/api-reference/org-rbac/update-role"},{"title":"List Members","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/rbac/members","href":"/api-reference/org-rbac/list-members"},{"title":"Patch Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/rbac/members/{memberId}","href":"/api-reference/org-rbac/patch-member"}]},{"group":"engagement","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/engagements","href":"/api-reference/engagement/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/engagements","href":"/api-reference/engagement/create"},{"title":"Coverage","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/engagements/coverage","href":"/api-reference/engagement/coverage"},{"title":"Get One","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/engagements/{engagementId}","href":"/api-reference/engagement/get-one"},{"title":"Accept","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/engagements/{engagementId}/accept","href":"/api-reference/engagement/accept"},{"title":"Cancel","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/engagements/{engagementId}/cancel","href":"/api-reference/engagement/cancel"},{"title":"Terminate","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/engagements/{engagementId}/terminate","href":"/api-reference/engagement/terminate"}]},{"group":"marketplace-admin","pages":[{"title":"Super-admin: list VM/CE partner KYC submissions for review (queue).","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner-verifications","href":"/api-reference/marketplace-admin/super-admin:-list-vmce-partner-kyc-submissions-for-review-queue"},{"title":"Super-admin: get a single VM/CE partner KYC case detail.","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner-verifications/{organizationId}","href":"/api-reference/marketplace-admin/super-admin:-get-a-single-vmce-partner-kyc-case-detail"},{"title":"Super-admin: approve (verify) a Virtual Manager KYC.","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/partner-verifications/virtual-managers/{organizationId}/verify","href":"/api-reference/marketplace-admin/super-admin:-approve-verify-a-virtual-manager-kyc"},{"title":"Super-admin: approve / reject / request changes on a Virtual Manager KY…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/partner-verifications/virtual-managers/{organizationId}/review","href":"/api-reference/marketplace-admin/super-admin:-approve-reject-request-changes-on-a-virtual-manager-ky…"},{"title":"Super-admin: approve / reject / request changes on a Compliance Expert…","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/partner-verifications/compliance-experts/{organizationId}/review","href":"/api-reference/marketplace-admin/super-admin:-approve-reject-request-changes-on-a-compliance-expert…"}]},{"group":"virtual manager","pages":[{"title":"Get Profile","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/virtual-manager/profile","href":"/api-reference/virtual-manager/get-profile"},{"title":"Patch Profile","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/virtual-manager/profile","href":"/api-reference/virtual-manager/patch-profile"},{"title":"Submit Verification","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/virtual-manager/profile/submit-verification","href":"/api-reference/virtual-manager/submit-verification"}]},{"group":"compliance-expert","pages":[{"title":"Get the active Compliance Expert org profile","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/compliance-expert/profile","href":"/api-reference/compliance-expert/get-the-active-compliance-expert-org-profile"},{"title":"Update the active Compliance Expert org profile","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/compliance-expert/profile","href":"/api-reference/compliance-expert/update-the-active-compliance-expert-org-profile"},{"title":"Submit Compliance Expert KYC documents for super-admin review","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/compliance-expert/profile/submit-verification","href":"/api-reference/compliance-expert/submit-compliance-expert-kyc-documents-for-super-admin-review"}]},{"group":"Partner Marketplace","pages":[{"title":"List verified + active Virtual Managers and Compliance Experts","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner-marketplace/partners","href":"/api-reference/partner-marketplace/list-verified-+-active-virtual-managers-and-compliance-experts"}]},{"group":"delegation audit","pages":[{"title":"Business oversight — delegated VM actions and engagement lifecycle","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/delegation-audit","href":"/api-reference/delegation-audit/business-oversight-—-delegated-vm-actions-and-engagement-lifecycle"}]},{"group":"workspace","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workspaces","href":"/api-reference/workspace/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces","href":"/api-reference/workspace/create"},{"title":"Remove","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/workspaces/{workspaceId}","href":"/api-reference/workspace/remove"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/workspaces/{workspaceId}","href":"/api-reference/workspace/update"},{"title":"List Members","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workspaces/{workspaceId}/members","href":"/api-reference/workspace/list-members"},{"title":"Add Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces/{workspaceId}/members","href":"/api-reference/workspace/add-member"},{"title":"Remove Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/workspaces/{workspaceId}/members/{memberUserId}","href":"/api-reference/workspace/remove-member"},{"title":"List Companies","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workspaces/{workspaceId}/companies","href":"/api-reference/workspace/list-companies"},{"title":"Create Company","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces/{workspaceId}/companies","href":"/api-reference/workspace/create-company"},{"title":"Get Company","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workspaces/{workspaceId}/companies/{companyId}","href":"/api-reference/workspace/get-company"},{"title":"Remove Company","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/workspaces/{workspaceId}/companies/{companyId}","href":"/api-reference/workspace/remove-company"},{"title":"Update Company","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/workspaces/{workspaceId}/companies/{companyId}","href":"/api-reference/workspace/update-company"},{"title":"Move Company","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces/{workspaceId}/companies/{companyId}/move","href":"/api-reference/workspace/move-company"},{"title":"Get client company KYB status","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workspaces/{workspaceId}/companies/{companyId}/kyb/status","href":"/api-reference/workspace/get-client-company-kyb-status"},{"title":"Submit client company KYB for super-admin review","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces/{workspaceId}/companies/{companyId}/kyb/submit","href":"/api-reference/workspace/submit-client-company-kyb-for-super-admin-review"},{"title":"Resubmit rejected client company KYB","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces/{workspaceId}/companies/{companyId}/kyb/resubmit","href":"/api-reference/workspace/resubmit-rejected-client-company-kyb"},{"title":"Issue Onboarding Link","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workspaces/{workspaceId}/onboarding-links","href":"/api-reference/workspace/issue-onboarding-link"},{"title":"Revoke Onboarding Link","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/workspaces/{workspaceId}/onboarding-links/{companyId}","href":"/api-reference/workspace/revoke-onboarding-link"}]},{"group":"client-onboarding","pages":[{"title":"Resolve client self-onboarding link (profile only)","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/public/client-onboarding/{token}","href":"/api-reference/client-onboarding/resolve-client-self-onboarding-link-profile-only"},{"title":"Update client company profile via self-onboarding link","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/public/client-onboarding/{token}","href":"/api-reference/client-onboarding/update-client-company-profile-via-self-onboarding-link"}]},{"group":"partner-hub","pages":[{"title":"Get Overview","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner/overview","href":"/api-reference/partner-hub/get-overview"},{"title":"List Clients","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner/clients","href":"/api-reference/partner-hub/list-clients"},{"title":"Get Workspace Home","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner/workspaces/{workspaceId}/home","href":"/api-reference/partner-hub/get-workspace-home"},{"title":"Get Client Home","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner/workspaces/{workspaceId}/clients/{companyId}/home","href":"/api-reference/partner-hub/get-client-home"},{"title":"Get Workspace Policy","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/partner/settings/workspace-policy","href":"/api-reference/partner-hub/get-workspace-policy"},{"title":"Patch Workspace Policy","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/partner/settings/workspace-policy","href":"/api-reference/partner-hub/patch-workspace-policy"}]},{"group":"cohort","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/cohorts","href":"/api-reference/cohort/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohorts","href":"/api-reference/cohort/create"},{"title":"Get apiv1cohortsbusiness lookup","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/cohorts/business-lookup","href":"/api-reference/cohort/get-apiv1cohortsbusiness-lookup"},{"title":"Get One","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/cohorts/{cohortId}","href":"/api-reference/cohort/get-one"},{"title":"Remove","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/cohorts/{cohortId}","href":"/api-reference/cohort/remove"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/cohorts/{cohortId}","href":"/api-reference/cohort/update"},{"title":"List Members","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/cohorts/{cohortId}/members","href":"/api-reference/cohort/list-members"},{"title":"Add Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohorts/{cohortId}/members","href":"/api-reference/cohort/add-member"},{"title":"Remove Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/cohorts/{cohortId}/members/{memberUserId}","href":"/api-reference/cohort/remove-member"},{"title":"List Memberships","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/cohorts/{cohortId}/memberships","href":"/api-reference/cohort/list-memberships"},{"title":"Invite","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohorts/{cohortId}/memberships","href":"/api-reference/cohort/invite"},{"title":"Patch Membership Scope","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/cohorts/{cohortId}/memberships/{membershipId}","href":"/api-reference/cohort/patch-membership-scope"},{"title":"List cohort membership inbox","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/cohort-memberships","href":"/api-reference/cohort/list-cohort-membership-inbox"},{"title":"Accept cohort invite by token","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohort-memberships/invite-token/accept","href":"/api-reference/cohort/accept-cohort-invite-by-token"},{"title":"Decline cohort invite by token","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohort-memberships/invite-token/decline","href":"/api-reference/cohort/decline-cohort-invite-by-token"},{"title":"Accept cohort membership","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohort-memberships/{membershipId}/accept","href":"/api-reference/cohort/accept-cohort-membership"},{"title":"Decline cohort membership","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohort-memberships/{membershipId}/decline","href":"/api-reference/cohort/decline-cohort-membership"},{"title":"Terminate cohort membership","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/cohort-memberships/{membershipId}/terminate","href":"/api-reference/cohort/terminate-cohort-membership"}]},{"group":"investor portfolio","pages":[{"title":"List","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/investor-portfolios","href":"/api-reference/investor-portfolio/list"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-portfolios","href":"/api-reference/investor-portfolio/create"},{"title":"Get One","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/investor-portfolios/{portfolioId}","href":"/api-reference/investor-portfolio/get-one"},{"title":"Remove","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/investor-portfolios/{portfolioId}","href":"/api-reference/investor-portfolio/remove"},{"title":"Update","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/investor-portfolios/{portfolioId}","href":"/api-reference/investor-portfolio/update"},{"title":"List Members","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/investor-portfolios/{portfolioId}/members","href":"/api-reference/investor-portfolio/list-members"},{"title":"Add Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-portfolios/{portfolioId}/members","href":"/api-reference/investor-portfolio/add-member"},{"title":"Remove Member","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/investor-portfolios/{portfolioId}/members/{memberUserId}","href":"/api-reference/investor-portfolio/remove-member"},{"title":"List Relationships","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/investor-portfolios/{portfolioId}/relationships","href":"/api-reference/investor-portfolio/list-relationships"},{"title":"Invite","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-portfolios/{portfolioId}/relationships","href":"/api-reference/investor-portfolio/invite"}]},{"group":"investor-portfolio","pages":[{"title":"List investor relationship inbox","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/investor-relationships","href":"/api-reference/investor-portfolio/list-investor-relationship-inbox"},{"title":"Accept investor relationship","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-relationships/{relationshipId}/accept","href":"/api-reference/investor-portfolio/accept-investor-relationship"},{"title":"Decline investor relationship","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-relationships/{relationshipId}/decline","href":"/api-reference/investor-portfolio/decline-investor-relationship"},{"title":"Advance investor relationship stage","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-relationships/{relationshipId}/advance-stage","href":"/api-reference/investor-portfolio/advance-investor-relationship-stage"},{"title":"Terminate investor relationship","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/investor-relationships/{relationshipId}/terminate","href":"/api-reference/investor-portfolio/terminate-investor-relationship"}]},{"group":"workflow","pages":[{"title":"List Definitions","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/definitions","href":"/api-reference/workflow/list-definitions"},{"title":"Create Definition","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workflows/definitions","href":"/api-reference/workflow/create-definition"},{"title":"Get Definition","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/definitions/{definitionId}","href":"/api-reference/workflow/get-definition"},{"title":"Delete Definition","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/workflows/definitions/{definitionId}","href":"/api-reference/workflow/delete-definition"},{"title":"Update Definition","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/workflows/definitions/{definitionId}","href":"/api-reference/workflow/update-definition"},{"title":"Start Instance","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workflows/instances/start","href":"/api-reference/workflow/start-instance"},{"title":"Decide Task","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workflows/tasks/{taskId}/decide","href":"/api-reference/workflow/decide-task"},{"title":"List Pending Tasks","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/tasks/pending","href":"/api-reference/workflow/list-pending-tasks"},{"title":"Get apiv1workflowstasks","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/tasks","href":"/api-reference/workflow/get-apiv1workflowstasks"},{"title":"Get apiv1workflowstasks 1","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/tasks/{taskId}","href":"/api-reference/workflow/get-apiv1workflowstasks-1"},{"title":"Patch apiv1workflowstasks inbox state","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/workflows/tasks/{taskId}/inbox-state","href":"/api-reference/workflow/patch-apiv1workflowstasks-inbox-state"},{"title":"Get apiv1workflowsinboxpolicy","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/inbox/policy","href":"/api-reference/workflow/get-apiv1workflowsinboxpolicy"},{"title":"Patch apiv1workflowsinboxpolicy","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/workflows/inbox/policy","href":"/api-reference/workflow/patch-apiv1workflowsinboxpolicy"},{"title":"Get apiv1workflowsinboxpreferences","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/workflows/inbox/preferences","href":"/api-reference/workflow/get-apiv1workflowsinboxpreferences"},{"title":"Patch apiv1workflowsinboxpreferences","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/workflows/inbox/preferences","href":"/api-reference/workflow/patch-apiv1workflowsinboxpreferences"},{"title":"Delegate Task","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/workflows/tasks/{taskId}/delegate","href":"/api-reference/workflow/delegate-task"}]},{"group":"inter company","pages":[{"title":"List Pairs","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/inter-company/pairs","href":"/api-reference/inter-company/list-pairs"},{"title":"Create Pair","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json post /api/v1/organizations/{organizationId}/inter-company/pairs","href":"/api-reference/inter-company/create-pair"},{"title":"Get Pair","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json get /api/v1/organizations/{organizationId}/inter-company/pairs/{id}","href":"/api-reference/inter-company/get-pair"},{"title":"Delete Pair","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json delete /api/v1/organizations/{organizationId}/inter-company/pairs/{id}","href":"/api-reference/inter-company/delete-pair"},{"title":"Update Pair","deprecated":null,"version":null,"openapi":"/openapi/fluide-auth.json patch /api/v1/organizations/{organizationId}/inter-company/pairs/{id}","href":"/api-reference/inter-company/update-pair"}]}]},{"group":"HR API","pages":[{"title":"Description","href":"/api-reference/hr"},{"group":"Operations","pages":[{"title":"HR health check","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json get /api/v1/hr/health","href":"/api-reference/health/hr-health-check"},{"title":"HR Prometheus metrics","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json get /api/v1/hr/metrics","href":"/api-reference/prometheus/hr-prometheus-metrics"}]},{"group":"Audit","pages":[{"title":"Find All","deprecated":null,"version":null,"openapi":"/openapi/fluide-payroll.json get /api/v1/payroll/audit-logs","href":"/api-reference/audit/find-all"}]},{"group":"HR Employees","pages":[{"title":"List employees","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json get /api/v1/hr/employees","href":"/api-reference/hr-employees/list-employees"},{"title":"Create","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees","href":"/api-reference/hr-employees/create"},{"title":"Create employee and provision FluideAuth staff seat (single request)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/onboard-with-staff","href":"/api-reference/hr-employees/create-employee-and-provision-fluideauth-staff-seat-single-request"},{"title":"Download branded employee import template (CSV or XLSX)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json get /api/v1/hr/employees/import-template","href":"/api-reference/hr-employees/download-branded-employee-import-template-csv-or-xlsx"},{"title":"Export employees for the active company (CSV or XLSX)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json get /api/v1/hr/employees/export","href":"/api-reference/hr-employees/export-employees-for-the-active-company-csv-or-xlsx"},{"title":"Validate employee import file (no persistence)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/validate","href":"/api-reference/hr-employees/validate-employee-import-file-no-persistence"},{"title":"Validate employee import rows from JSON (no persistence)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/validate-rows","href":"/api-reference/hr-employees/validate-employee-import-rows-from-json-no-persistence"},{"title":"Commit bulk employee import (partial success supported)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/commit","href":"/api-reference/hr-employees/commit-bulk-employee-import-partial-success-supported"},{"title":"Bulk update employment status for selected employees (partial success)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/status","href":"/api-reference/hr-employees/bulk-update-employment-status-for-selected-employees-partial-success"},{"title":"Download payment rails import template (separate from core HR employee…","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json get /api/v1/hr/employees/payout-import-template","href":"/api-reference/hr-employees/download-payment-rails-import-template-separate-from-core-hr-employee…"},{"title":"Validate payment rails import file (no persistence)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/payout/validate","href":"/api-reference/hr-employees/validate-payment-rails-import-file-no-persistence"},{"title":"Validate payment rails rows from JSON (no persistence)","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/payout/validate-rows","href":"/api-reference/hr-employees/validate-payment-rails-rows-from-json-no-persistence"},{"title":"Commit payment rails bulk import (updates existing","deprecated":null,"version":null,"openapi":"/openapi/fluide-hr.json post /api/v1/hr/employees/bulk/payout/commit","href":"/api-reference/hr-employees/commit-payment-rails-bulk-import-updates-existing"},{"title":"Current user's HR employee in the active organization","deprecated":n
[...]
